Name:           flutter-drm
Version:        0.1
Release:        1%{?dist}
Summary:        Flutter Embedder which talks to DRM dirrectly, no X required

License:        BSD
URL:            https://pagure.io/mobile 
Source0:        https://releases.pagure.org/mobile/%{name}-%{version}.tar.gz
Source1:	    https://releases.pagure.org/mobile/flutter-engine-3460519398140c75e01383173b42fa95c797cf76.tar.gz

BuildRequires:  autoconf libtool make gcc mesa-libgbm-devel mesa-libEGL-devel libdrm-devel
Requires:       mesa-libgbm mesa-libEGL libdrm

%description
Flutter Embedder which talks to DRM dirrectly, no X require

%prep
%autosetup

patch -p1 <<'EOF'
diff --git a/Makefile.am b/Makefile.am
index 6964612..feef19a 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -6,7 +6,8 @@ run_engine_LDADD = \
 	$(EGL_LIBS) \
 	$(GLES2_LIBS) \
 	-lm \
-	-lflutter_engine
+	-lflutter_engine \
+	-L.
 
 run_engine_CFLAGS = \
 	-O2 -g \
 
EOF

./autogen.sh

tar zxf %{SOURCE1}
if [ -d out ]; then
	cp -f out/linux_debug_arm64/libflutter_* .
else
	exit 1
fi

%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%{_bindir}/run_engine


%changelog
* Wed Nov 11 21:41:54 +07 2020 Si Dao <si.dao@live.com>
- 
